Package com.macrofocus.high_d.treetable.swing

# Class TreeTableCellEditor

java.lang.Object
javax.swing.AbstractCellEditor
com.macrofocus.high_d.treetable.swing.TreeTableCellEditor

All Implemented Interfaces:
  `Serializable`, `CellEditor`, `TableCellEditor`

public class TreeTableCellEditor extends AbstractCellEditor implements TableCellEditor
Created by luc on 28/05/15.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class javax.swing.AbstractCellEditor

  `changeEvent, listenerList`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TreeTableCellEditor(JTree tree, JTable table)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getCellEditorValue()`
  `Component`
  `getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int r, int c)`
  `boolean`
  `isCellEditable(EventObject e)`

  ### Methods inherited from class javax.swing.AbstractCellEditor

  `addCellEditorListener, cancelCellEditing, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, removeCellEditorListener, shouldSelectCell, stopCellEditing`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface javax.swing.CellEditor

  `addCellEditorListener, cancelCellEditing, removeCellEditorListener, shouldSelectCell, stopCellEditing`

- ## Constructor Details

  - ### TreeTableCellEditor

    public TreeTableCellEditor(JTree tree, JTable table)

- ## Method Details

  - ### getTableCellEditorComponent

    public Component getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int r, int c)
    Specified by:
      `getTableCellEditorComponent` in interface `TableCellEditor`

  - ### isCellEditable

    public boolean isCellEditable(EventObject e)
    Specified by:
      `isCellEditable` in interface `CellEditor`
    Overrides:
      `isCellEditable` in class `AbstractCellEditor`

  - ### getCellEditorValue

    public Object getCellEditorValue()
    Specified by:
      `getCellEditorValue` in interface `CellEditor`